Error
A valid request URL is required to generate request examples{
"status": "success",
"code": "<string>",
"data": {
"organizationId": 123,
"status": "legacy",
"requestedRunAt": "2023-11-07T05:31:56Z",
"csApprovedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"csApprovedAt": "2023-11-07T05:31:56Z",
"rejectedByReviewerRole": "<string>",
"rejectedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rejectedAt": "2023-11-07T05:31:56Z",
"rejectionFeedback": "<string>",
"scheduledRunAt": "2023-11-07T05:31:56Z"
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}MigrationApproval
Get the organization's migration approval state
Returns the organization’s current position in the Customer Success approval gate (Requested -> CsApproved -> Scheduled, or Rejected). Callable by the organization’s own admins (their own org only) or internal ops (any org).
GET
/
api
/
organizations
/
{organizationId}
/
migration-approval
Error
A valid request URL is required to generate request examples{
"status": "success",
"code": "<string>",
"data": {
"organizationId": 123,
"status": "legacy",
"requestedRunAt": "2023-11-07T05:31:56Z",
"csApprovedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"csApprovedAt": "2023-11-07T05:31:56Z",
"rejectedByReviewerRole": "<string>",
"rejectedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rejectedAt": "2023-11-07T05:31:56Z",
"rejectionFeedback": "<string>",
"scheduledRunAt": "2023-11-07T05:31:56Z"
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}Path Parameters
Identifier of the organization whose migration approval state to return.
Response
OK
The coarse outcome of the request, indicating whether it succeeded or failed.
Available options:
success, error The specific machine-readable outcome code, such as ok on success or the most specific error code on failure. Always lowercase on the wire.
The response payload, either a single object for a by-id read or an array for a bulk operation. Omitted from the body when there is no value.
Show child attributes
Show child attributes